/*
Theme Name: Beaver Builder Child Theme
Theme URI: https://www.wpbeaverbuilder.com
Version: 1.0
Description: An example child theme that can be used as a starting point for custom development.
Author: The Beaver Builder Team
Author URI: https://www.fastlinemedia.com
template: bb-theme
*/

/* Add your custom styles here...Remember to change the Version number above! */ 

/* Global */

html, body {
    overflow-x: hidden;
}

.text-justify, .text-justify p{
	text-align: justify;
}

.white-recs-bg-left {
	position:relative;
}

.white-recs-bg-left:before {
    content: '';
    position: absolute;
    width: 8.7%;
    height: 14.5%;
    background-color: #fff;
    top: 0px;
    left: 0;
    z-index: 5;
    clip-path: polygon(0 0, 51% 0, 51% 50%, 100% 50%, 100% 100%, 51% 100%, 51% 50%, 0 50%);
}

.white-recs-bg-right {
    position: relative;
}

.white-recs-bg-right:before {
    content: '';
    position: absolute;
    width: 8.1%;
    height: 12.5%;
    background-color: #fff;
    top: 0px;
    right: 0;
    z-index: 5;
    clip-path: polygon(50% 0, 100% 0, 100% 51%, 50% 51%, 50% 100%, 0 100%, 0 51%, 50% 51%);
}

.main-btn a.fl-button:hover {
    transform: translateY(-5px);
    transition: .3s ease-in-out;
}

.main-btn a.fl-button {
    transition: .3s ease-out !important;
}

.logo-slick .slick-track {
    display: flex;
    align-items: center;
}

#header-main-menu .current-menu-item .sub-menu a {
    text-decoration: unset;
}

.font-weight-900 p {
    font-weight: 900 !important;
}

/* Icons */

.service-icon-svg {
    max-width: 76px;
    background-color: #B90606;
    padding: 14.4px 17.5px;
    border-radius: 50%;
}

.service-item:hover .service-icon-svg {
    background-color: #fff;
    transition: .3s ease-in-out;
}

.service-item:hover .service-icon-svg svg path {
    fill: #B90606;
    transition: .3s ease-in-out;
}

.service-item a.fl-button:hover {
    transform: translateY(-5px);
}

/* arrows */
.fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation {
    top: 89.3%;
    margin-top: -10px;
}

.fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation .slider-prev {
    position: relative;
    left: 0;
    background-color: #F4F4F4;
    padding: 21.5px;
    opacity: 1;
	transition: .3s ease;
}

.fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation .slider-next {
    position: relative;
    left: -3px;
    background-color: #B90606;
    padding: 21.5px;
    opacity: 1;
    transition: .3s ease;
}

.fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation .slider-next:hover:before {
    width: 12px;
    height: 12px;
    transition: .3s;
}

.fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation .slider-prev:hover:before {
    width: 12px;
    height: 12px;
    transition: .3s;
}


.fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation .slider-prev:before {
    content: '';
    position: absolute;
    width: 13px;
    height: 13px;
    top: 33%;
    left: 35%;
    border-left: 2px solid #011F5B;
    border-bottom: 2px solid #011F5B;
    transform: rotate(45deg);
}

.fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation .slider-next:before {
    content: '';
    position: absolute;
    width: 13px;
    height: 13px;
    top: 33%;
    left: 35%;
    border-right: 2px solid #fff;
    border-bottom: 2px solid #fff;
    transform: rotate(315deg);
}

.fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation path {
    display: none;
}

/* Back to Top */

#back-to-top {
    position: fixed;
    bottom: 30px;
    right: 30px;
    background: #B90606;
    color: #fff;
    padding: 5px 15px;
    border-radius: 50%;
    text-align: center;
    font-size: 25px;
    cursor: pointer;
    display: none;
    z-index: 999;
    transition: background 0.3s ease;
    text-decoration: none;
}

#back-to-top:hover {
    background: #011F5B;
}


/* Header */

#header-main-menu ul#menu-header-menu {
    max-width: 880px;
    width: 100%;
    justify-content: space-between;
}

#header-main-menu a {
    display: inline-block;
    position: relative;
}

#header-main-menu a:after {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 3px;
    bottom: 8px;
    left: 0;
    background-color: #B90606;
    transition: transform 0.25s ease-out;
}

#header-main-menu a:hover::after {
    transform: scaleX(1);
}

#header-main-menu .current-menu-item a {
    text-decoration: underline;
    text-decoration-color: #B90606;
    text-decoration-thickness: 3px;
    text-underline-offset: 5px;
}

#header-main-menu a:focus {
    outline: unset !important;
    text-decoration: unset;
}

.header-phone a.fl-button:before {
    content: url(/wp-content/uploads/2025/08/phone-icon-2.png);
    margin-right: 12px;
}

.header-phone a.fl-button {
    display: inline-flex !important;
    align-items: center;
}

#header-main-menu .fl-has-submenu-container .fl-menu-toggle::before {
    width: 6px;
    height: 6px;
    margin: -3px -8px 0 0;
}

.header-phone a.fl-button {
    white-space: nowrap;
}

/* Footer */

.footer-address p, .footer-phone-1 p, .footer-phone-2 p, .footer-email p {
    display: flex;
    align-items: center;
}

.footer-address p:before {
    content: url(/wp-content/uploads/2025/08/location-red.png);
    margin-right: 10px;
}

.footer-phone-1 p:before {
    content: url(/wp-content/uploads/2025/08/phone-icon-red.png);
    margin-right: 10px;
}

.footer-phone-2 p:before {
    content: url(/wp-content/uploads/2025/08/phone-icon-v2.png);
    margin-right: 10px;
}

.footer-email p:before {
    content: url(/wp-content/uploads/2025/08/email-icon-red.png);
    margin-right: 10px;
}

.fl-node-oj67yduwqcv3 .fl-heading, .fl-node-i1tzah3ue8f7 .fl-heading, .fl-node-e1judwn07v8b .fl-heading {
    position: relative;
}

.fl-node-oj67yduwqcv3 .fl-heading:before, .fl-node-i1tzah3ue8f7 .fl-heading:before, .fl-node-e1judwn07v8b .fl-heading:before {
    content: '';
    position: absolute;
    width: 46px;
    height: 2px;
    background-color: #B90606;
    bottom: 0;
    left: 0;
}

.fl-node-ghzoc9u0f6ti {
    max-width: 421px;
    width: 100%;
}

.fl-node-ghzoc9u0f6ti p {
    text-align: justify;
}

#footer-main a {
    display: inline-block;
    position: relative;
    padding-inline: 0;
    text-decoration: none;
}

#footer-main a:after {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(0);
    height: 2px;
    bottom: 1px;
    left: 0;
    background-color: #B90606;
    transition: transform 0.25s ease-out;
}

#footer-main a:hover:after {
    transform: scaleX(1);
}

/* Banner */

.fl-node-lwsir9embjta.fl-row-custom-height > .fl-row-content-wrap {
    align-items: end;
}

/* Services Box */
.service-item {
    position: relative;
    transition: .3s cubic-bezier(0.4, 0, 1, 1);
}

.service-item:before {
    content: '';
    position: absolute;
    width: 16%;
    height: 13.5%;
    background-color: #fff;
    top: 0px;
    right: -1px;
    z-index: 5;
    clip-path: polygon(0 0, 51% 0, 51% 50%, 100% 50%, 100% 100%, 51% 100%, 51% 50%, 0 50%);
}

.service-item:hover {
    background-color: #B90606;
    transition: .3s ease-in-out;
}

.service-item:hover p, .service-item:hover h3 {
    color: #fff !important;
    transition: .3s ease-in-out;
}

.service-item:hover a.fl-button {
    background-color: #011F5B !important;
    transition: .3s ease-in-out;
}

/* Other Services */
.other-services a.fl-button {
    height: 75px;
    display: flex !important;
    align-items: center;
    justify-content: center;
}

/* Home Gallery */
.home-gallery .fl-photo-content.fl-photo-img-png img:hover, .home-gallery .fl-module.fl-module-box:hover {
    transform: scale(.97);
    transition: .3s ease;
}

.home-gallery .fl-photo-content.fl-photo-img-png img, .home-gallery .fl-module.fl-module-box {
    transition: .3s ease;
}

/* Form */
.custom-form-wrapper {
    max-width: 700px;
    margin: 0 auto;
    padding: 30px;
	padding-bottom: 0;
}

.custom-form-wrapper iframe.custom-form-iframe {
    width: 100%;
    height: 1665px;
    border: none;
    border-radius: 12px;
}

/* Inner Page */
.inner-page-banner {
    position: relative;
}

.inner-page-banner:before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    background-image: url(/wp-content/uploads/2025/09/banner-bg-left.png);
    width: 94px;
    height: 94px;
    z-index: 2;
}

.inner-page-banner:after {
    content: '';
    position: absolute;
    bottom: 0;
    right: 0;
    background-image: url(/wp-content/uploads/2025/09/banner-bg-right.png);
    background-repeat: no-repeat;
    width: 234px;
    height: 141px;
    z-index: 2;
}

.img-square-bg {
    position: relative;
}

.img-square-bg:before {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    background-image: url(/wp-content/uploads/2025/09/square-img-bg.png);
    background-repeat: no-repeat;
    width: 95px;
    height: 89px;
    z-index: 2;
}

.img-square-bg-2 {
    position: relative;
}

.img-square-bg-2:before {
    content: '';
    position: absolute;
    top: -1px;
    right: -3px;
    background-image: url(/wp-content/uploads/2025/09/square-img-bg.png);
    background-repeat: no-repeat;
    background-size: cover;
    width: 55px;
    height: 55px;
    z-index: 2;
    transform: rotate(90deg);
}

#header-main-menu .sub-menu .current-menu-item a {
    position: relative;
    text-decoration: unset;
}

#header-main-menu .sub-menu .current-menu-item a:before {
    content: '';
    position: absolute;
    width: 100%;
    transform: scaleX(1);
    height: 3px;
    bottom: 8px;
    left: 0;
    background-color: #B90606;
}

.safety-measures-items .fl-module.fl-module-box:hover {
    cursor: pointer;
    background-color: #B9060614;
    transition: .3s ease;
}

.services-items .fl-module.fl-module-box:hover {
	cursor: pointer;
	transform: scale(.97);
}

.services-items .fl-module.fl-module-box {
    transition: .6s ease;
}


@media (max-width: 1024px) {
	.header-phone a.fl-button:before {
		margin-right: 10px;
		scale: .8;
	}
}

@media (max-width: 1023px) {
	header {
		position: fixed;
		width: 100%;
		z-index: 100;
	}
	
	.fl-col-group.fl-node-fby895i1tkar {
		align-items: center;
	}

	.fl-col.fl-node-38qfd1unilba.fl-col-bg-color.fl-col-small.fl-col-small-custom-width {
		order: 1;
		flex: 1;
	}

	.fl-col.fl-node-5os2qb0fhvu6.fl-col-bg-color.fl-col-small-custom-width {
		max-width: 70px;
		order: 3;
		width: 100%;
	}

	 .fl-col.fl-node-ogq1zkuvysml.fl-col-bg-color.fl-col-small {
        order: 2;
        max-width: 200px;
    }
	
	 #header-main-menu ul#menu-header-menu {
        text-align: left;
        padding: 20px;
        margin-top: 50px;
    }

	#header-main-menu ul#menu-header-menu li {
		max-width: fit-content;
	}
	
	button.fl-menu-mobile-close i.fas.fa-times {
		color: #fff !important;
	}
	
	.about-us-slider .fl-content-slider {
		min-height: auto !important;
	}

	.about-us-slider .fl-content-slider .fl-slide {
		min-height: 400px;
	}

	.about-us-slider .fl-content-slider .bx-viewport {
		height: 400px !important;
	}
	
	.fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation {
        top: 87.3%;
        margin-top: -7px;
        left: -2px;
    }
	
	.fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation .slider-prev {
		padding: 13.5px;
	}

	.fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation .slider-next {
		padding: 13.5px;
	}
	
	.fl-module.fl-module-photo.fl-photo.fl-photo-align-center.fl-node-lnquj1gr8bc2.fl-fill-container {
		width: 100%;
		height: 100%;
	}
	
}

@media (max-width: 540px) {
	 .fl-col.fl-node-38qfd1unilba.fl-col-bg-color.fl-col-small.fl-col-small-custom-width {
        max-width: fit-content;
        margin-inline: 0;
    }
	
	 .fl-col.fl-node-ogq1zkuvysml.fl-col-bg-color.fl-col-small {
        max-width: fit-content;
        margin-inline: 0;
    }
	
	 .fl-col.fl-node-5os2qb0fhvu6.fl-col-bg-color.fl-col-small-custom-width {
        margin-inline: 0;
		max-width: fit-content;
    }
	
	.fl-col-group.fl-col-group-equal-height.fl-col-group-custom-width {
        justify-content: space-between;
    }
	
	.logo-slick .slick-track .fl-photo-content img {
		max-height: 50px;
		object-fit: contain;
	}
	
	.white-recs-bg-left:before {
		display: none;
	}
	
	.white-recs-bg-right:before {
		display: none;
	}
	
	 .about-us-slider .fl-content-slider .bx-viewport {
        height: auto !important;
    }
	
	.about-us-slider .fl-content-slider .fl-slide {
        height: 200px !important;
    }

	.about-us-slider .fl-content-slider .fl-slide .fl-slide-mobile-photo {
		height: 200px;
		display: flex;
	}

	.about-us-slider .fl-content-slider .fl-slide .fl-slide-mobile-photo img {
		object-fit: cover;
	}
	
	 .fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation .slider-next {
        padding: 7.5px;
    }
	
	.fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation .slider-prev {
        padding: 7.5px;
    }
	
	.fl-module.fl-module-content-slider.fl-node-jeu35gkqos94 .fl-content-slider-navigation {
        top: 79.3%;
        margin-top: -6px;
    }
	
	.other-services a.fl-button {
    	height: 55px;
	}
	
	.fl-node-oj67yduwqcv3 .fl-heading, .fl-node-i1tzah3ue8f7 .fl-heading, .fl-node-e1judwn07v8b .fl-heading {
		max-width: fit-content;
		margin-inline: auto !important;
	}
	
	.fl-node-ghzoc9u0f6ti {
		max-width: 100%
	}
	
	.footer-contact-info p {
		justify-content: center;
	}
}

